//---------------------------------------------------------------------------
#ifndef XYZTest00H
#define XYZTest00H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Buttons.hpp>
#include "txyzplot.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TTimer *Timer1;
	TGroupBox *GroupBox1;
	TCheckBox *PhiBox;
	TCheckBox *ThetaBox;
	TCheckBox *PsiBox;
	TScrollBar *PhiBar;
	TColorDialog *ColorDialog1;
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *Exit1;
	TMenuItem *Color1;
	TMenuItem *Plot11;
	TSpeedButton *SpeedButton1;
	TSpeedButton *SpeedButton2;
	TSpeedButton *SpeedButton3;
	TGroupBox *GroupBox2;
	TCheckBox *PerspectiveOn;
	TScrollBar *VanishingPoint;
	TGroupBox *GroupBox4;
	TCheckBox *AutoScale;
	TCheckBox *FitToScreen;
	TLabel *PhiLabel;
	TGroupBox *GroupBox3;
	TRadioButton *DragButton;
	TRadioButton *ZoomButton;
	TRadioButton *RotateButton;
	TCheckBox *MouseControl;
	TButton *Reset;
	TMenuItem *Fill1;
	TMenuItem *Style1;
	TMenuItem *Points1;
	TMenuItem *Lines1;
	TMenuItem *LinesPoints1;
	TMenuItem *Grid1;
	TMenuItem *Surface1;
	TMenuItem *XAxis1;
	TMenuItem *YAxis1;
	TMenuItem *ZAxis1;
	TGroupBox *GroupBox5;
	TButton *Both;
	TButton *RandomData;
	TButton *Graph3;
	TButton *Graph4;
	TButton *Graph2;
	TButton *Graph1;
	TCheckBox *BouncingBall;
	TCheckBox *ShowLabels;
	TXYZPlot *XYZPlot1;
	TGroupBox *AxisStyleBox;
	TRadioButton *NoneButton;
	TRadioButton *XYZButton;
	TRadioButton *XYZPlaneButton;
	TRadioButton *BoxButton;
	TCheckBox *OriginBox;
	TMenuItem *Panel2;
	TMenuItem *Visible1;
	TRadioButton *BoxAndPlaneButton;
	TBevel *Bevel1;
	TScrollBar *ThetaBar;
	TScrollBar *PsiBar;
	TLabel *ThetaLabel;
	TLabel *PsiLabel;
	TMenuItem *Redraw1;
	TMenuItem *Auto1;
	TMenuItem *RedrawScreen1;
	TMenuItem *Help1;
	TMenuItem *About1;
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall Graph1Click(TObject *Sender);
	
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Plot11Click(TObject *Sender);
	void __fastcall Graph2Click(TObject *Sender);
	
	void __fastcall AutoScaleClick(TObject *Sender);
	void __fastcall FitToScreenClick(TObject *Sender);
	void __fastcall BothClick(TObject *Sender);
	void __fastcall SpeedButton3Click(TObject *Sender);
	void __fastcall SpeedButton2Click(TObject *Sender);
	void __fastcall SpeedButton1Click(TObject *Sender);
	void __fastcall PerspectiveOnClick(TObject *Sender);
	void __fastcall VanishingPointChange(TObject *Sender);
	void __fastcall ShowLabelsClick(TObject *Sender);
	void __fastcall BouncingBallClick(TObject *Sender);
	
	
	
	void __fastcall MouseControlClick(TObject *Sender);
	void __fastcall RotateButtonClick(TObject *Sender);

	void __fastcall ResetClick(TObject *Sender);



	void __fastcall Points1Click(TObject *Sender);

	void __fastcall RandomDataClick(TObject *Sender);
	void __fastcall Graph3Click(TObject *Sender);
	void __fastcall Graph4Click(TObject *Sender);

	void __fastcall NoneButtonClick(TObject *Sender);
	void __fastcall OriginBoxClick(TObject *Sender);
	void __fastcall Visible1Click(TObject *Sender);


	void __fastcall Auto1Click(TObject *Sender);
	void __fastcall RedrawScreen1Click(TObject *Sender);



	
	
	void __fastcall About1Click(TObject *Sender);
private:	// User declarations
   void __fastcall SetLabels(void);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
    double z[9216];
    double ballx, bally, ballz, deltax, deltay,deltaz;
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
